summaryrefslogtreecommitdiffstats
path: root/games/beetle-ngp-libretro
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2016-08-01 12:11:05 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-05 18:10:41 +0100
commitb10fcb0f50a1de1620576fd2c6e88a087b0ee6ed (patch)
tree56ccf28023d55ff8d2fc7d9fc318814d1ce03ead /games/beetle-ngp-libretro
parent33544956fe3d9ee975f7d992c61ec3d45a3f71f0 (diff)
downloadslackbuilds-b10fcb0f50a1de1620576fd2c6e88a087b0ee6ed.tar.gz
slackbuilds-b10fcb0f50a1de1620576fd2c6e88a087b0ee6ed.tar.xz
games/beetle-ngp-libretro: Added (libretro fork of Mednafen NGP).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/beetle-ngp-libretro')
-rw-r--r--games/beetle-ngp-libretro/README5
-rw-r--r--games/beetle-ngp-libretro/beetle-ngp-libretro.SlackBuild94
-rw-r--r--games/beetle-ngp-libretro/beetle-ngp-libretro.info10
-rw-r--r--games/beetle-ngp-libretro/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/games/beetle-ngp-libretro/README b/games/beetle-ngp-libretro/README
new file mode 100644
index 0000000000..6bf8022612
--- /dev/null
+++ b/games/beetle-ngp-libretro/README
@@ -0,0 +1,5 @@
+Beetle/Mednafen NGP is a SNK Neo Geo Pocket (Color) video game system emulator
+that can be used as a libretro core.
+
+To build the debugging symbols use:
+ DEBUG=1 beetle-ngp-libretro.SlackBuild
diff --git a/games/beetle-ngp-libretro/beetle-ngp-libretro.SlackBuild b/games/beetle-ngp-libretro/beetle-ngp-libretro.SlackBuild
new file mode 100644
index 0000000000..eb74230ee6
--- /dev/null
+++ b/games/beetle-ngp-libretro/beetle-ngp-libretro.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for beetle-ngp-libretro
+
+# Copyright 2016 Hunter Sezen
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=beetle-ngp-libretro
+LIBNAM=mednafen_ngp_libretro
+VERSION=${VERSION:-2016.07.25_8c5197a}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# requires patching the Makefile to properly use
+# the default CFLAGS and CXXFLAGS are probably fine
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DEBUG=${DEBUG:-0}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make DEBUG=$DEBUG
+
+install -Dm0644 $LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
+install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
+
+if [ "${DEBUG:-0}" = "0" ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/beetle-ngp-libretro/beetle-ngp-libretro.info b/games/beetle-ngp-libretro/beetle-ngp-libretro.info
new file mode 100644
index 0000000000..1e9b81e813
--- /dev/null
+++ b/games/beetle-ngp-libretro/beetle-ngp-libretro.info
@@ -0,0 +1,10 @@
+PRGNAM="beetle-ngp-libretro"
+VERSION="2016.07.25_8c5197a"
+HOMEPAGE="http://www.libretro.com/"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/beetle-ngp-libretro-2016.07.25_8c5197a.tar.xz"
+MD5SUM="0b412ad8d6f2ea6d19d113189e275328"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="RetroArch"
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/games/beetle-ngp-libretro/slack-desc b/games/beetle-ngp-libretro/slack-desc
new file mode 100644
index 0000000000..c09839f042
--- /dev/null
+++ b/games/beetle-ngp-libretro/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+beetle-ngp-libretro: beetle-ngp-libretro (libretro fork of Mednafen NGP)
+beetle-ngp-libretro:
+beetle-ngp-libretro: Beetle/Mednafen NGP is a libretro port of Mednafen NGP which is
+beetle-ngp-libretro: based off of NeoPop.
+beetle-ngp-libretro:
+beetle-ngp-libretro: Homepage: http://www.libretro.com/
+beetle-ngp-libretro:
+beetle-ngp-libretro:
+beetle-ngp-libretro:
+beetle-ngp-libretro:
+beetle-ngp-libretro: